View Issue Details

IDProjectCategoryView StatusLast Update
0003103Path[FreeCAD] Bugpublic2017-07-15 10:56
ReporterKonstantinAssigned Tosliptonic 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0003103: Centroid postprocessor broken
DescriptionAs spoked here, Trying to postprocess with centroid gives an error:
Running the Python command 'Path_Post' failed:
Traceback (most recent call last):
  File "/opt/freecad/Mod/Path/PathScripts/PathPost.py", line 259, in Activated
    (fail, rc) = self.exportObjectsWith(postlist, job)
  File "/opt/freecad/Mod/Path/PathScripts/PathPost.py", line 192, in exportObjectsWith
    gcode = processor.export(objs, filename, postArgs)
  File "/opt/freecad/Mod/Path/PathScripts/PathPostProcessor.py", line 104, in export
    return self.script.export(obj, filename, args)
  File "/opt/freecad/Mod/Path/PathScripts/centroid_post.py", line 93, in export
    gcode+= UNITS+'\n'

local variable 'UNITS' referenced before assignment
Steps To ReproduceCreate any part, create job, select centroid postprocessor, change tool, create face milling operation, try to postprocess it.
Additional InformationOS: "Manjaro Linux"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11432 (Git)
Build type: Release
Branch: master
Hash: 0768ae99cfd6036601f66658f6e0f923de9af6f2
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 7.1.0
Tagspostprocessor

Activities

sliptonic

2017-07-06 21:21

developer   ~0009674

Centroid has been largely rewritten. Given error no longer occurs. Could use more thorough testing.

FreeCAD Pull Request 859

Kunda1

2017-07-12 12:26

administrator   ~0009735

@Konstantin please retest with new commits

Issue History

Date Modified Username Field Change
2017-06-24 17:41 Konstantin New Issue
2017-06-25 00:29 Kunda1 Category Patch => Bug
2017-06-28 21:39 Kunda1 Tag Attached: postprocessor
2017-07-06 21:21 sliptonic Assigned To => sliptonic
2017-07-06 21:21 sliptonic Status new => resolved
2017-07-06 21:21 sliptonic Resolution open => fixed
2017-07-06 21:21 sliptonic Fixed in Version => 0.17
2017-07-06 21:21 sliptonic Note Added: 0009674
2017-07-12 12:26 Kunda1 Note Added: 0009735
2017-07-15 10:56 Kunda1 Status resolved => closed